SDL_strlen(3)

NAME
SDL_strlen - This works exactly like strlen() but doesn't require access to a C runtime.

SYNOPSIS
#include <SDL3/SDL_stdinc.h>

size_t SDL_strlen(const char *str);

DESCRIPTION
Counts the bytes in str, excluding the null terminator.

If you need the length of a UTF-8 string, consider using SDL_utf8strlen().

FUNCTION PARAMETERS

str The null-terminated string to read. Must not be NULL.

RETURN VALUE
Returns the length (in bytes, excluding the null terminator) of src.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_strnlen(3), SDL_utf8strlen(3), SDL_utf8strnlen(3)